Update account setting
curl --request PATCH \
--url https://api.ofauth.com/v3/access/settings/:settingId \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-linked-account-id: <api-key>' \
--data '
{
"coStreamingRequestFrom": "<string>",
"isAutoFollowBack": true,
"isDrmEnabled": true,
"isPrivate": true,
"isSuggestionsOptOut": true,
"isWantComments": true,
"phoneOtp": true,
"requireFaceIdForPayoutUpdate": true,
"showFriendsToSubscribers": true,
"showMediaCount": true,
"showPostsTips": true,
"showSubscribersCount": true,
"showSubscribesOffers": true,
"unfollowAutoFollowBack": true
}
'import requests
url = "https://api.ofauth.com/v3/access/settings/:settingId"
payload = {
"coStreamingRequestFrom": "<string>",
"isAutoFollowBack": True,
"isDrmEnabled": True,
"isPrivate": True,
"isSuggestionsOptOut": True,
"isWantComments": True,
"phoneOtp": True,
"requireFaceIdForPayoutUpdate": True,
"showFriendsToSubscribers": True,
"showMediaCount": True,
"showPostsTips": True,
"showSubscribersCount": True,
"showSubscribesOffers": True,
"unfollowAutoFollowBack": True
}
headers = {
"x-linked-account-id": "<api-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'x-linked-account-id': '<api-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
coStreamingRequestFrom: '<string>',
isAutoFollowBack: true,
isDrmEnabled: true,
isPrivate: true,
isSuggestionsOptOut: true,
isWantComments: true,
phoneOtp: true,
requireFaceIdForPayoutUpdate: true,
showFriendsToSubscribers: true,
showMediaCount: true,
showPostsTips: true,
showSubscribersCount: true,
showSubscribesOffers: true,
unfollowAutoFollowBack: true
})
};
fetch('https://api.ofauth.com/v3/access/settings/:settingId', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.ofauth.com/v3/access/settings/:settingId",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'coStreamingRequestFrom' => '<string>',
'isAutoFollowBack' => true,
'isDrmEnabled' => true,
'isPrivate' => true,
'isSuggestionsOptOut' => true,
'isWantComments' => true,
'phoneOtp' => true,
'requireFaceIdForPayoutUpdate' => true,
'showFriendsToSubscribers' => true,
'showMediaCount' => true,
'showPostsTips' => true,
'showSubscribersCount' => true,
'showSubscribesOffers' => true,
'unfollowAutoFollowBack' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"x-linked-account-id: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.ofauth.com/v3/access/settings/:settingId"
payload := strings.NewReader("{\n \"coStreamingRequestFrom\": \"<string>\",\n \"isAutoFollowBack\": true,\n \"isDrmEnabled\": true,\n \"isPrivate\": true,\n \"isSuggestionsOptOut\": true,\n \"isWantComments\": true,\n \"phoneOtp\": true,\n \"requireFaceIdForPayoutUpdate\": true,\n \"showFriendsToSubscribers\": true,\n \"showMediaCount\": true,\n \"showPostsTips\": true,\n \"showSubscribersCount\": true,\n \"showSubscribesOffers\": true,\n \"unfollowAutoFollowBack\": true\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("x-linked-account-id", "<api-key>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.ofauth.com/v3/access/settings/:settingId")
.header("x-linked-account-id", "<api-key>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"coStreamingRequestFrom\": \"<string>\",\n \"isAutoFollowBack\": true,\n \"isDrmEnabled\": true,\n \"isPrivate\": true,\n \"isSuggestionsOptOut\": true,\n \"isWantComments\": true,\n \"phoneOtp\": true,\n \"requireFaceIdForPayoutUpdate\": true,\n \"showFriendsToSubscribers\": true,\n \"showMediaCount\": true,\n \"showPostsTips\": true,\n \"showSubscribersCount\": true,\n \"showSubscribesOffers\": true,\n \"unfollowAutoFollowBack\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.ofauth.com/v3/access/settings/:settingId")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["x-linked-account-id"] = '<api-key>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"coStreamingRequestFrom\": \"<string>\",\n \"isAutoFollowBack\": true,\n \"isDrmEnabled\": true,\n \"isPrivate\": true,\n \"isSuggestionsOptOut\": true,\n \"isWantComments\": true,\n \"phoneOtp\": true,\n \"requireFaceIdForPayoutUpdate\": true,\n \"showFriendsToSubscribers\": true,\n \"showMediaCount\": true,\n \"showPostsTips\": true,\n \"showSubscribersCount\": true,\n \"showSubscribesOffers\": true,\n \"unfollowAutoFollowBack\": true\n}"
response = http.request(request)
puts response.read_body{
"init": {
"upload": {
"geoUploadArgs": {
"isDelay": true,
"needThumbs": true,
"preset": "<string>",
"preset_png": "<string>",
"preset_public": "<string>",
"protected_preset": "<string>"
}
}
},
"success": true
}Settings
Update account setting
Update one account setting by its ID.
Required scope: profile:write
PATCH
/
v3
/
access
/
settings
/
:settingId
Update account setting
curl --request PATCH \
--url https://api.ofauth.com/v3/access/settings/:settingId \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-linked-account-id: <api-key>' \
--data '
{
"coStreamingRequestFrom": "<string>",
"isAutoFollowBack": true,
"isDrmEnabled": true,
"isPrivate": true,
"isSuggestionsOptOut": true,
"isWantComments": true,
"phoneOtp": true,
"requireFaceIdForPayoutUpdate": true,
"showFriendsToSubscribers": true,
"showMediaCount": true,
"showPostsTips": true,
"showSubscribersCount": true,
"showSubscribesOffers": true,
"unfollowAutoFollowBack": true
}
'import requests
url = "https://api.ofauth.com/v3/access/settings/:settingId"
payload = {
"coStreamingRequestFrom": "<string>",
"isAutoFollowBack": True,
"isDrmEnabled": True,
"isPrivate": True,
"isSuggestionsOptOut": True,
"isWantComments": True,
"phoneOtp": True,
"requireFaceIdForPayoutUpdate": True,
"showFriendsToSubscribers": True,
"showMediaCount": True,
"showPostsTips": True,
"showSubscribersCount": True,
"showSubscribesOffers": True,
"unfollowAutoFollowBack": True
}
headers = {
"x-linked-account-id": "<api-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'x-linked-account-id': '<api-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
coStreamingRequestFrom: '<string>',
isAutoFollowBack: true,
isDrmEnabled: true,
isPrivate: true,
isSuggestionsOptOut: true,
isWantComments: true,
phoneOtp: true,
requireFaceIdForPayoutUpdate: true,
showFriendsToSubscribers: true,
showMediaCount: true,
showPostsTips: true,
showSubscribersCount: true,
showSubscribesOffers: true,
unfollowAutoFollowBack: true
})
};
fetch('https://api.ofauth.com/v3/access/settings/:settingId', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.ofauth.com/v3/access/settings/:settingId",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'coStreamingRequestFrom' => '<string>',
'isAutoFollowBack' => true,
'isDrmEnabled' => true,
'isPrivate' => true,
'isSuggestionsOptOut' => true,
'isWantComments' => true,
'phoneOtp' => true,
'requireFaceIdForPayoutUpdate' => true,
'showFriendsToSubscribers' => true,
'showMediaCount' => true,
'showPostsTips' => true,
'showSubscribersCount' => true,
'showSubscribesOffers' => true,
'unfollowAutoFollowBack' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"x-linked-account-id: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.ofauth.com/v3/access/settings/:settingId"
payload := strings.NewReader("{\n \"coStreamingRequestFrom\": \"<string>\",\n \"isAutoFollowBack\": true,\n \"isDrmEnabled\": true,\n \"isPrivate\": true,\n \"isSuggestionsOptOut\": true,\n \"isWantComments\": true,\n \"phoneOtp\": true,\n \"requireFaceIdForPayoutUpdate\": true,\n \"showFriendsToSubscribers\": true,\n \"showMediaCount\": true,\n \"showPostsTips\": true,\n \"showSubscribersCount\": true,\n \"showSubscribesOffers\": true,\n \"unfollowAutoFollowBack\": true\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("x-linked-account-id", "<api-key>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.ofauth.com/v3/access/settings/:settingId")
.header("x-linked-account-id", "<api-key>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"coStreamingRequestFrom\": \"<string>\",\n \"isAutoFollowBack\": true,\n \"isDrmEnabled\": true,\n \"isPrivate\": true,\n \"isSuggestionsOptOut\": true,\n \"isWantComments\": true,\n \"phoneOtp\": true,\n \"requireFaceIdForPayoutUpdate\": true,\n \"showFriendsToSubscribers\": true,\n \"showMediaCount\": true,\n \"showPostsTips\": true,\n \"showSubscribersCount\": true,\n \"showSubscribesOffers\": true,\n \"unfollowAutoFollowBack\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.ofauth.com/v3/access/settings/:settingId")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["x-linked-account-id"] = '<api-key>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"coStreamingRequestFrom\": \"<string>\",\n \"isAutoFollowBack\": true,\n \"isDrmEnabled\": true,\n \"isPrivate\": true,\n \"isSuggestionsOptOut\": true,\n \"isWantComments\": true,\n \"phoneOtp\": true,\n \"requireFaceIdForPayoutUpdate\": true,\n \"showFriendsToSubscribers\": true,\n \"showMediaCount\": true,\n \"showPostsTips\": true,\n \"showSubscribersCount\": true,\n \"showSubscribesOffers\": true,\n \"unfollowAutoFollowBack\": true\n}"
response = http.request(request)
puts response.read_body{
"init": {
"upload": {
"geoUploadArgs": {
"isDelay": true,
"needThumbs": true,
"preset": "<string>",
"preset_png": "<string>",
"preset_public": "<string>",
"protected_preset": "<string>"
}
}
},
"success": true
}Authorizations
Headers
Body
application/json
Was this page helpful?